﻿using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System;

namespace IGDocumentation
{

    public class DataUtil
    {
        private static ObservableCollection<People> persons;

        private static ObservableCollection<People> CreatePeople()
        {
            return new ObservableCollection<People>
            {
                new People
                {
                    Id = 1,
                    Name = "Adam",
                    SurName="Smith"
                },

                new People
                {
                    Id = 2,
                    Name = "Peter",
                     SurName="Monov"
                },

                new People
                {
                    Id = 3,
                    Name = "Andy",
                     SurName="Wane"
                },

                new People
                {
                    Id = 4,
                    Name = "Kate",
                     SurName="Spears"
                }

            };
        }

        public static ObservableCollection<People> Persons
        {
            get
            {
                if (persons == null)
                    persons = CreatePeople();

                return persons;
            }
        }

    }

    public class People
    {

        string name;

        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        string surName;

        public string SurName
        {
            get { return surName; }
            set { surName = value; }
        }

        int id;

        public int Id
        {
            get { return id; }
            set { id = value; }
        }
    }
}